# Uses of Class
org.apache.lucene.search.matchhighlight.Passage

Packages that use Passage
Package
Description
org.apache.lucene.search.matchhighlight
This package contains several components useful to build a highlighter on top of the `Matches` API.

- ## Uses of Passage in org.apache.lucene.search.matchhighlight

  Fields in org.apache.lucene.search.matchhighlight with type parameters of type Passage
  Modifier and Type
  Field
  Description
  `static final Comparator<Passage>`
  PassageSelector.`DEFAULT_SCORER`
  Methods in org.apache.lucene.search.matchhighlight that return Passage
  Modifier and Type
  Method
  Description
  `protected Passage[]`
  PassageSelector.`pickDefaultPassage(CharSequence value, int maxCharacterWindow, int maxPassages, List<OffsetRange> permittedPassageRanges)`
  Invoked when no passages could be selected (due to constraints or lack of highlight markers).
  Methods in org.apache.lucene.search.matchhighlight that return types with arguments of type Passage
  Modifier and Type
  Method
  Description
  `List<Passage>`
  PassageSelector.`pickBest(CharSequence value, List<? extends OffsetRange> markers, int maxPassageWindow, int maxPassages)`
  `List<Passage>`
  PassageSelector.`pickBest(CharSequence value, List<? extends OffsetRange> markers, int maxPassageWindow, int maxPassages, List<OffsetRange> permittedPassageRanges)`
  Methods in org.apache.lucene.search.matchhighlight with parameters of type Passage
  Modifier and Type
  Method
  Description
  `OffsetRange`
  BreakIteratorShrinkingAdjuster.`adjust(Passage passage)`
  `OffsetRange`
  PassageAdjuster.`adjust(Passage p)`
  `StringBuilder`
  PassageFormatter.`format(StringBuilder buf, CharSequence value, Passage passage)`
  Method parameters in org.apache.lucene.search.matchhighlight with type arguments of type Passage
  Modifier and Type
  Method
  Description
  `List<String>`
  PassageFormatter.`format(CharSequence value, List<Passage> passages, List<OffsetRange> ranges)`
  Constructor parameters in org.apache.lucene.search.matchhighlight with type arguments of type Passage
  Modifier
  Constructor
  Description
  ``
  `PassageSelector(Comparator<Passage> passageScorer, PassageAdjuster passageAdjuster)`